Skip to main content
GET
/
releases
/
{release_id}
Python
import os
from miru_platform_sdk import Miru

client = Miru(
    api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
)
release = client.releases.retrieve(
    release_id="rls_123",
)
print(release.id)
{
  "object": "release",
  "id": "rls_123",
  "version": "v1.0.0",
  "git_commit_id": "git_commit_123",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z"
}
ScopeRequired
releases:readYes

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-03-09.tetons"

Path Parameters

release_id
string
required

The unique identifier of the release.

Example:

"rls_123"

Query Parameters

expand
enum<string>[]

Fields to expand on the release resource.

Available options:
config_schemas
Example:
["config_schemas"]

Response

200 - application/json

Successfully retrieved the release.

object
enum<string>
required

The object type, which is always release.

Available options:
release
Example:

"release"

id
string
required

ID of the release.

Example:

"rls_123"

version
string
required

The version of the release.

Example:

"v1.0.0"

git_commit_id
string | null
required

The ID of the git commit associated with this release.

Example:

"git_commit_123"

created_at
string<date-time>
required

Timestamp of when the release was created.

Example:

"2024-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the release was last updated.

Example:

"2024-01-01T00:00:00Z"

config_schemas
Config Schema · object[]

Expand the config schemas using 'expand=config_schemas' in the query string.

Example:
[
{
"object": "config_schema",
"id": "cfg_sch_123",
"digest": "sha256:1234567890",
"config_type_name": "Motion Control",
"instance_filepath": "/v1/motion-control.json",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z",
"config_type_id": "cfg_typ_123",
"language": "jsonschema",
"format": "json"
},
{
"object": "config_schema",
"id": "cfg_sch_124",
"digest": "sha256:1234567890",
"config_type_name": "Localization",
"instance_filepath": "/v1/localization.json",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z",
"config_type_id": "cfg_typ_124",
"language": "jsonschema",
"format": "json"
}
]
Last modified on March 13, 2026